ATMEL: S_pipe_int Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_pipe_int Struct Reference

`#include <usb_host_task.h>`

## Data Fields

bit | enable
U16 | nb_byte_to_process
U16 | nb_byte_processed
U16 | nb_byte_on_going
U8 * | ptr_buf
void(* | handle )(U8 status, U16 nb_byte)
U8 | status
U8 | timeout
U16 | nak_timeout

## Detailed Description

Definition at line 55 of file usb_host_task.h.

## Field Documentation

bit S_pipe_int::enable

Definition at line 57 of file usb_host_task.h.

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), reset_it_pipe_str(), usb_general_interrupt(), and usb_pipe_interrupt().

U16 S_pipe_int::nb_byte_to_process

Definition at line 58 of file usb_host_task.h.

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), and usb_pipe_interrupt().

U16 S_pipe_int::nb_byte_processed

Definition at line 59 of file usb_host_task.h.

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), and usb_pipe_interrupt().

U16 S_pipe_int::nb_byte_on_going

Definition at line 60 of file usb_host_task.h.

Referenced by host_send_data_interrupt(), and usb_pipe_interrupt().

U8* S_pipe_int::ptr_buf

Definition at line 61 of file usb_host_task.h.

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), and usb_pipe_interrupt().

void(* S_pipe_int::handle)(U8 status, U16 nb_byte)

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), usb_general_interrupt(), and usb_pipe_interrupt().

U8 S_pipe_int::status

Definition at line 63 of file usb_host_task.h.

Referenced by usb_general_interrupt(), and usb_pipe_interrupt().

U8 S_pipe_int::timeout

Definition at line 64 of file usb_host_task.h.

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), reset_it_pipe_str(), and usb_pipe_interrupt().

U16 S_pipe_int::nak_timeout

Definition at line 65 of file usb_host_task.h.

Referenced by host_get_data_interrupt(), host_send_data_interrupt(), and usb_pipe_interrupt().

The documentation for this struct was generated from the following file:

- usb_host_task.h